<!---This file uploads pictures--->

<!---Find out if the itemid form fields is present--->
<cfif ISDEFINED('form.ItemID')>

	<!---Loop through all the present items that were displayed in the photo manager--->
		<cfloop index="MyCount" From="1" To="#ListLen(form.ItemID)#">

			<!---Set ThisFormID equal to the current ItemID in the list we are looping over--->
			<cfset ThisFormID = "#ListGetAt(form.ItemID, MyCount)#">
			<!---Now check to see if the FileContents form field for this item is present and filled
		     in.  If so, then upload the picture--->
			<cfset MyFormName = 'form.FileContents' & '#ThisFormID#'>
			<cfset MyFormName2 = 'form.ThumbFileContents' & '#ThisFormID#'>
			
			<cfif ISDEFINED(#Evaluate('MyFormName')#)>
		
						<cfif NOT #Evaluate(MyFormName)# IS ''>
							<!---Upload the Image--->	
							<cfoutput>
							<CFFILE	Action="Upload"
							FileField = "form.filecontents#ThisFormID#"
							Destination = "#CartVar.PhotoDirectory#"
							NameConflict = "overwrite"
							Accept = "image/gif, image/pjpeg, image/jpg, image/jpeg">
							</cfoutput>
	
							<cfset Photo = '#CFFILE.Serverfile#'>
							<cfquery name= "UpdatePicture" datasource=#request.dsn#>
							UPDATE Products
							SET ImageURL='#Photo#'
							WHERE ItemID = #ThisFormID#
							</cfquery>
						</cfif>

						<cfif NOT #Evaluate(MyFormName2)# IS ''>
	
							<!---Upload the Thumbnail--->
							<cfoutput>
							<CFFILE Action="Upload"
							FileField = "form.Thumbfilecontents#ThisFormID#"
							Destination = "#CartVar.PhotoDirectory#"
							NameConflict = "overwrite"
							Accept = "image/gif, image/pjpeg, image/jpg, image/jpeg">
							</cfoutput>

							<cfset Thumbnail = '#CFFILE.Serverfile#'>
							<cfquery name= "UpdatePicture" datasource=#request.dsn#>
							UPDATE Products
							SET Thumbnail = '#Thumbnail#'
							WHERE ItemID = #ThisFormID#
							</cfquery>
						</cfif>
	 		</cfif>
		</cfloop>
	</cfif>

<cflocation url = "doPhotoManager.cfm">
