<cfinclude template = '../queries/qryCategories.cfm'>

<cfif qryCategories.recordcount IS 0>
<p align="center"><b>You do not have any categories defined!  You must define categories first.</b></p>
<cfabort>
</cfif>

<cfif NOT isdefined('Session.SortOption')>
<cflock scope="Session" type="Exclusive" timeout="10">    
<cfset session.sortoption = 'Featured'>
</cflock>
</cfif>

<cfif isdefined('form.SortProducts')>
<cflock scope="Session" type="Exclusive" timeout="10">    
<cfset session.sortoption = '#form.SortProducts#'>
<cfset TempVar.Start = "1">
</cflock>
</cfif>

<cfif isdefined('url.sortoption')>
<cflock scope="Session" type="Exclusive" timeout="10">    
<cfset session.sortoption = '#url.sortoption#'>
</cflock>
</cfif>

<cflock scope="Session" type="ReadOnly" timeout="10">  
<cfset TempVar.SortOption = #session.SortOption#>
</cflock>

<p>
  <cfinclude template = "../queries/qryProducts.cfm">
  <!---Display the sort drop down--->
</p>
<table width="100%" border="0" cellspacing="0" cellpadding="3">
  <tr>
    <td width="53%">
	<form method="POST" action="doPhotoManager.cfm">
        Category: 
        <select name="SortProducts">
			<option value = "Inactive" <cfif #TempVar.sortoption# IS 'Inactive'>SELECTED</cfif>>Inactive Items Only</option>
			<option value = "All" <cfif #TempVar.sortoption# IS 'All'>SELECTED</cfif>>All Products</option>
				<cfoutput query = "qryCategories">
					<option value="#qryCategories.CategoryID#">#CategoryName#</option>
				</cfoutput>
       </select>
		<input type="submit" value="Submit" name="B1"></p>
        <a name="TheProductsTop"></a>
</form>
	</td>
    <td width="47%"></td>
  </tr>
</table>

<!---This code below builds a query of products that match the selected category--->
<cfset LItemID = "">
<cfset LProductID = "">
<cfset LProductName = "">
<cfset LPrice = "">
<cfset LThumbNail = "">
<cfset LBriefDescription = "">
<cfset LIsFeatured = "">

<cfset ProductQuery = QueryNew("")>

<!---These parameters are for the paginating feature--->
<cfif NOT ISDEFINED('Session.Start')>
<cflock scope="Session" type="Exclusive" timeout="10">  
<cfset Session.Start="1">
</cflock>
</cfif>

<cfif ISDEFINED('url.start')>
<cflock scope="Session" type="Exclusive" timeout="10">   
<cfset Session.Start ="#url.start#">
</cflock>
</cfif>

<cflock scope="Session" type="ReadOnly" timeout="10">   
<cfset TempVar.Start ="#Session.start#">
</cflock>

<!--- Number of records to display on a page --->
<CFPARAM name="disp" default="#CartVar.MaxRecords#">

<cfoutput query = "qryProducts">


<!---Get the category list for this product and loop over the list.  If the list contains
the selected category, add it to the query of products to display--->
<cfset CategoryList = '#Category#'>
  <cfloop index="Mycount" From="1" To="#ListLen(CategoryList)#">
    
<cfset ThisCategory = "#ListGetAt(CategoryList, mycount)#">

<cfif ThisCategory IS #TempVar.SortOption#>
      
<cfset LItemID = ListAppend(LItemID, "#ItemID#", "^")>
<cfset LProductID = ListAppend(LProductID, "#ProductID#", "^")>
<cfset LProductName = ListAppend(LProductName, "#ProductName#", "^")>
<cfset LPrice = ListAppend(LPrice, "#Price#", "^")>
<cfset LThumbNail = ListAppend(LThumbNail, "#ThumbNail#", "^")>
<cfset LBriefDescription = ListAppend(LBriefDescription, "#BriefDescription#", "^")>
<cfset LIsFeatured = ListAppend(LIsFeatured, "#IsFeatured#", "^")>
</cfif>
</cfloop>
</cfoutput>

<cfset AItemID = ListToArray(LItemID, "^")>
<cfset AProductID = ListToArray(LProductID, "^")>
<cfset AProductName = ListToArray(LProductName, "^")>
<cfset APrice = ListToArray(LPrice, "^")>
<cfset AThumbNail = ListToArray(LThumbNail, "^")>
<cfset ABriefDescription = ListToArray(LBriefDescription, "^")>
<cfset AIsFeatured = ListToArray(LIsFeatured, "^")>

<!---Now create a query based on the list values above--->
<cfset nColumnNumber1 = QueryAddColumn(ProductQuery, "ItemID", AItemID)>
<cfset nColumnNumber2 = QueryAddColumn(ProductQuery, "ProductID", AProductID)>
<cfset nColumnNumber3 = QueryAddColumn(ProductQuery, "ProductName", AProductName)>
<cfset nColumnNumber4 = QueryAddColumn(ProductQuery, "Price", APrice)>
<cfset nColumnNumber5 = QueryAddColumn(ProductQuery, "ThumbNail", AThumbNail)>
<cfset nColumnNumber6 = QueryAddColumn(ProductQuery, "BriefDescription", ABriefDescription)>
<cfset nColumnNumber7 = QueryAddColumn(ProductQuery, "IsFeatured", AIsFeatured)>

<form name="form9" enctype="multipart/form-data" method="post" action="DoPhotoManager.cfm">
  <table width="100%" border="0" cellspacing="0" cellpadding="4">
    <tr bgcolor="#0066CC"> 
      <td width="15%"> <p align="center"><font color="#FFFFFF"><strong> Thumbnail</strong></font></td>
      <td width="15%"> <div align="left"><b><a href="doPhotoManager.cfm?OrderBy=ProductID"><font color="#FFFFFF">Product 
          ID </font></a> </b></div></td>
      <td width="20%"><strong><a href="doPhotoManager.cfm?OrderBy=ProductName"><font color="#FFFFFF">Product 
        Name</font></a></strong></td>
      <td width="25%"><div align="center"> <font color="#FFFFFF"><strong>Image File</strong></font></div></td>
	  <td width="25%"><div align="center"> <font color="#FFFFFF"><strong>Thumbnail File</strong></font></div></td>
    </tr>
    <cfset RowCount = 0>
    <cfif TempVar.SortOption IS 'Featured' OR TempVar.SortOption IS 'OutofStock' OR TempVar.SortOption IS 'All' OR TempVar.SortOption IS 'Inactive'>
      <!---Set up variables for paginating--->
      <CFSET end=TempVar.start + disp>
      <CFIF TempVar.Start + disp GREATER THAN qryProducts.RecordCount>
        <CFSET end=999>
        <CFELSE>
        <CFSET end=disp>
      </cfif>
      <cfoutput query = "qryProducts" startRow="#TempVar.Start#" MaxRows="#End#"> 
		<tr <cfif RowCount IS 1>bgcolor="##CCCCCC"</cfif>> 		  
            <td width="15%"> 
              <p align="center"> 
                <cfif NOT #Thumbnail# IS 'SMNoPic.jpg'>
                  <img src = "#CartVar.PhotoPath##thumbnail#"></a> 
                </cfif>
                <cfif #Thumbnail# IS 'SMNoPic.jpg'>
                  No Photo<br></a>                
                </cfif>
            </td>
            <td width="15%"> <div align="left">#productid# </div></td>
            <td width="20%">#ProductName#</td>
            <td width="25%"><div align="center"> 
                <input type="Hidden" value = "#ItemID#" name="ItemID">
                <input name="FileContents#ItemID#" type="file" id="filefield" size="26">
              </div></td>
            <td width="25%"><div align="center"> 
                <input name="ThumbFileContents#ItemID#" type="file" id="filefield" size="26">
              </div></td>
          </tr>
        <cfset RowCount=RowCount + 1>
        <cfif Rowcount GREATER THAN 1>
          <cfset RowCount = 0>
        </cfif>
      </cfoutput> 
</cfif>
    <cfif NOT TempVar.SortOption IS 'Featured' AND NOT TempVar.SortOption IS 'OutofStock' AND NOT TempVar.SortOption IS 'All' AND NOT TempVar.SortOption IS 'Inactive'>
      <!---Set up variables for paginating--->
      <CFSET end=TempVar.Start + disp>
      <CFIF TempVar.Start + disp GREATER THAN ProductQuery.RecordCount>
        <CFSET end=999>
        <CFELSE>
        <CFSET end=TempVar.Start + disp>
      </CFIF>
	  <cfif NOT ProductQuery.RecordCount IS 0>
      <cfloop query = "ProductQuery" startrow="#TempVar.Start#" endrow="#end#">
        <cfquery name = "GetCategories" datasource="#request.dsn#">
        SELECT * FROM Products WHERE ItemID = #ItemID#
        </cfquery>
				<tr <cfif RowCount IS 1>bgcolor="#CCCCCC"</cfif>> 		  
            <td width="15%"> 
              <p align="center"> 
                <cfif NOT #Thumbnail# IS 'SMNoPic.jpg'>
                  <cfoutput><img src = "#CartVar.PhotoPath##thumbnail#"></a></cfoutput>
                </cfif>
                <cfif #Thumbnail# IS 'SMNoPic.jpg'>
                  No Photo<br></a>                
                </cfif>
            </td>
            <td width="15%"> <div align="left"><cfoutput>#productid#</cfoutput></div></td>
            <td width="20%"><cfoutput>#ProductName#</cfoutput></td>
			<cfoutput>
            <td width="25%"><div align="center"> 
                <input type="Hidden" value = "#ItemID#" name="ItemID">
                <input name="FileContents#ItemID#" type="file" id="filefield" size="26">
              </div></td>
            <td width="25%"><div align="center"> 
                <input name="ThumbFileContents#ItemID#" type="file" id="filefield" size="26">
              </div></td>
		</cfoutput>
          </tr>
        <cfset RowCount=RowCount + 1>
        <cfif Rowcount GREATER THAN 1>
          <cfset RowCount = 0>
        </cfif>
      </cfloop>
	  </cfif>
	</cfif>
  </table>
<cfif NOT TempVar.SortOption IS 'Featured' OR NOT TempVar.SortOption IS 'OutofStock' OR NOT TempVar.SortOption IS 'All' OR NOT TempVar.SortOption IS 'Inactive'>
<CFOUTPUT>
<br>
<table border="0" align="center" cellpadding="10">
<tr>
<!--- Display prev link --->
<CFIF TempVar.Start NOT EQUAL 1>
          <CFIF TempVar.Start GTE disp>
            
    <CFSET prev=disp>
    <CFSET prevrec=TempVar.Start - disp>
  <CFELSE>
    <CFSET prev=TempVar.Start - 1>
    <CFSET prevrec=1>
  </CFIF>
  <td><font face="wingdings"></font> 
  <a href="doPhotoManager.cfm?SortOption=#TempVar.SortOption#&start=#prevrec#">Previous #prev#</a></td>

</CFIF>
<!---Display the page numbers--->
<cfif disp LT ProductQuery.RecordCount + 1>
<cfset PageCount = 1>
<td><cfloop Index="Pages" FROM="1" TO="#ProductQuery.RecordCount#" Step="#disp#">
<a href = "doPhotoManager.cfm?SortOption=#TempVar.SortOption#&start=#Pages#">#PageCount#</a>&nbsp;&nbsp;
<cfset PageCount = PageCount + 1>
</cfloop>
</td>
</cfif>

<!--- Display next link --->
<CFIF end LT ProductQuery.RecordCount>
          <CFIF TempVar.Start + disp * 2 GTE ProductQuery.RecordCount>
            
    <CFSET next=ProductQuery.RecordCount - TempVar.Start - disp + 1>
  <CFELSE>
    <CFSET next=disp>
  </CFIF>
  <td><a href="doPhotoManager.cfm?SortOption=#TempVar.SortOption#&start=#Evaluate("TempVar.Start + disp")#">
  Next #next#</a> <font face="wingdings"></font></td>
</cfif>
</table>
</CFOUTPUT>	
</cfif>

<cfif TempVar.SortOption IS 'Featured' OR TempVar.SortOption IS 'OutofStock' OR TempVar.SortOption IS 'All' OR TempVar.SortOption IS 'Inactive'>
<CFOUTPUT>
<br>
<table border="0" align="center" cellpadding="10">
<tr>
<!--- Display prev link --->
<CFIF TempVar.Start NOT EQUAL 1>
 <CFIF TempVar.Start GTE disp>          
    <CFSET prev=disp>
    <CFSET prevrec=TempVar.Start - disp>
  <CFELSE>
    <CFSET prev=TempVar.Start - 1>
    <CFSET prevrec=1>
  </CFIF>
  <td><font face="wingdings"></font> 
  <a href="doPhotoManager.cfm?SortOption=#TempVar.SortOption#&start=#prevrec#">Previous #prev#</a></td>

</CFIF>
<!---Display the page numbers--->
<cfif disp LT qryProducts.RecordCount + 1>
<cfset PageCount = 1>
<td><cfloop Index="Pages" FROM="1" TO="#qryProducts.RecordCount#" Step="#disp#">
<a href = "doPhotoManager.cfm?SortOption=#TempVar.SortOption#&start=#Pages#">#PageCount#</a>&nbsp;&nbsp;
<cfset PageCount = PageCount + 1>
</cfloop>
</td>
</cfif>

<!--- Display next link --->
<CFIF end LT qryProducts.RecordCount>
          <CFIF TempVar.Start + disp * 2 GTE qryProducts.RecordCount>
            <CFSET next=qryProducts.RecordCount - TempVar.Start - disp + 1>
  <CFELSE>
    <CFSET next=disp>
  </CFIF>
  <td><a href="doPhotoManager.cfm?SortOption=#TempVar.SortOption#&start=#Evaluate("TempVar.Start + disp")#">
  Next #next#</a> <font face="wingdings"></font></td>
</cfif>
</table>
</CFOUTPUT>	
</cfif>
<input type="hidden" Name="Action" value="Upload">
<p align="center"><input type="Submit" Value="Upload Pictures" Name="S1"></p>
</form>
<p align="center"><br>
  Note: Depending on the number of picture you selected to upload,<br>
  the process could take several minutes to complete.<br>
  It is recommended that you only upload a few pictures at a time.</p>
<p align="center"><a href="#TheProductsTop">Back to Top</a></p>

